cascading.flow.stream.duct

## Class Grouping<Group,ItemIterator extends java.util.Iterator>

- java.lang.Object
- - cascading.flow.stream.duct.Grouping<Group,ItemIterator>

    public class Grouping<Group,ItemIterator extends java.util.Iterator>
    extends java.lang.Object

### Field Summary

Fields
`JoinerClosure` `joinerClosure`
`ItemIterator` `joinIterator`
`Group` `key`

### Constructor Summary

Constructors
Constructor and Description
`Grouping()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### joinerClosure

    public JoinerClosure joinerClosure

#### key

    public Group key

#### joinIterator

    public ItemIterator extends java.util.Iterator joinIterator

### Constructor Detail

#### Grouping

    public Grouping()